package com.miaxis.fdj.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 发电机60hz报价对象 fdj_60hz_info
 *
 * @author miaxis
 * @date 2023-02-09
 */
@Data
@TableName("fdj_60hz_info")
@ApiModel(value = "Fdj60hzInfo", description = "发电机60hz报价对象 fdj_60hz_info")
public class Fdj60hzInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 型号规格 */
    @Excel(name = "型号规格",sort = 1)
    @TableField("fdj_model")
    @ApiModelProperty(value = "型号规格")
    private String fdjModel;

    /** 标准止口 */
    @Excel(name = "标准止口",sort = 2)
    @TableField("standard_seam")
    @ApiModelProperty(value = "标准止口")
    private String standardSeam;

    /** 频率(Hz) */
    @Excel(name = "频率(Hz)",sort = 3)
    @TableField("rate")
    @ApiModelProperty(value = "频率(Hz)")
    private Integer rate;

    /** 功率 3-ph/50Hz/380-440V(kw) */
    @Excel(name = "功率 3-ph/50Hz/380-440V(kw)",sort = 4)
    @TableField("fdj_power_kw")
    @ApiModelProperty(value = "功率 3-ph/50Hz/380-440V(kw)")
    private BigDecimal fdjPowerKw;

    /** 功率 3-ph/50Hz/380-440V(kva) */
    @Excel(name = "功率 3-ph/50Hz/380-440V(kva)",sort = 5)
    @TableField("fdj_power_kva")
    @ApiModelProperty(value = "功率 3-ph/50Hz/380-440V(kva)")
    private BigDecimal fdjPowerKva;

    /** 含税出厂价（单支点） */
    @Excel(name = "含税出厂价（单支点）", sort = 6)
    @TableField("single_fulcrum_price")
    @ApiModelProperty(value = "含税出厂价（单支点）")
    private String singleFulcrumPrice;

    /** 含税出厂价（双支点） */
    @Excel(name = "含税出厂价（双支点）", sort = 7)
    @TableField("double_fulcrum_price")
    @ApiModelProperty(value = "含税出厂价（双支点）")
    private String doubleFulcrumPrice;

    /** 含税出厂价（包装箱价格） */
    @Excel(name = "含税出厂价（包装箱价格）", sort = 8)
    @TableField("packing_box_price")
    @ApiModelProperty(value = "含税出厂价（包装箱价格）")
    private String packingBoxPrice;

    /** 含税出厂价（仪表箱） */
    @Excel(name = "含税出厂价（仪表箱）", sort = 9)
    @TableField("instrument_box_price")
    @ApiModelProperty(value = "含税出厂价（仪表箱）")
    private String instrumentBoxPrice;

    /** 含税出厂价（空开） */
    @Excel(name = "含税出厂价（空开）", sort = 10)
    @TableField("air_switch_price")
    @ApiModelProperty(value = "含税出厂价（空开）")
    private String airSwitchPrice;

    /** 包装尺寸
     （长宽高） */
    @Excel(name = "包装尺寸（长宽高）",sort = 11)
    @TableField("open_parms")
    @ApiModelProperty(value = "包装尺寸（长宽高）")
    private String openParms;

    /** 净重/毛重（KG） */
    @Excel(name = "净重/毛重（KG）",sort = 12)
    @TableField("weight")
    @ApiModelProperty(value = "净重/毛重（KG）")
    private String weight;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setFdjModel(String fdjModel){
        this.fdjModel = fdjModel;
    }

    public String getFdjModel(){
        return fdjModel;
    }
    public void setStandardSeam(String standardSeam){
        this.standardSeam = standardSeam;
    }

    public String getStandardSeam(){
        return standardSeam;
    }
    public void setRate(Integer rate){
        this.rate = rate;
    }

    public Integer getRate(){
        return rate;
    }
    public void setFdjPowerKw(BigDecimal fdjPowerKw){
        this.fdjPowerKw = fdjPowerKw;
    }

    public BigDecimal getFdjPowerKw(){
        return fdjPowerKw;
    }
    public void setFdjPowerKva(BigDecimal fdjPowerKva){
        this.fdjPowerKva = fdjPowerKva;
    }

    public BigDecimal getFdjPowerKva(){
        return fdjPowerKva;
    }
    public void setSingleFulcrumPrice(String singleFulcrumPrice){
        this.singleFulcrumPrice = singleFulcrumPrice;
    }

    public String getSingleFulcrumPrice(){
        return singleFulcrumPrice;
    }
    public void setDoubleFulcrumPrice(String doubleFulcrumPrice){
        this.doubleFulcrumPrice = doubleFulcrumPrice;
    }

    public String getDoubleFulcrumPrice(){
        return doubleFulcrumPrice;
    }
    public void setPackingBoxPrice(String packingBoxPrice){
        this.packingBoxPrice = packingBoxPrice;
    }

    public String getPackingBoxPrice(){
        return packingBoxPrice;
    }
    public void setInstrumentBoxPrice(String instrumentBoxPrice){
        this.instrumentBoxPrice = instrumentBoxPrice;
    }

    public String getInstrumentBoxPrice(){
        return instrumentBoxPrice;
    }
    public void setAirSwitchPrice(String airSwitchPrice){
        this.airSwitchPrice = airSwitchPrice;
    }

    public String getAirSwitchPrice(){
        return airSwitchPrice;
    }
    public void setOpenParms(String openParms){
        this.openParms = openParms;
    }

    public String getOpenParms(){
        return openParms;
    }
    public void setWeight(String weight){
        this.weight = weight;
    }

    public String getWeight(){
        return weight;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fdjModel", getFdjModel())
            .append("standardSeam", getStandardSeam())
            .append("rate", getRate())
            .append("fdjPowerKw", getFdjPowerKw())
            .append("fdjPowerKva", getFdjPowerKva())
            .append("singleFulcrumPrice", getSingleFulcrumPrice())
            .append("doubleFulcrumPrice", getDoubleFulcrumPrice())
            .append("packingBoxPrice", getPackingBoxPrice())
            .append("instrumentBoxPrice", getInstrumentBoxPrice())
            .append("airSwitchPrice", getAirSwitchPrice())
            .append("openParms", getOpenParms())
            .append("weight", getWeight())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
